# Memcached::prependByKey

(PECL memcached >= 0.1.0)

Memcached::prependByKey — Préfixe un élément existant

### Description

public Memcached::prependByKey(string `$server_key`, string `$key`, string `$value`): ?bool

Memcached::prependByKey() est fonctionnellement équivalent à Memcached::prepend(), mais la variable libre `server_key` peut être utilisée pour diriger la clé `key` sur un serveur spécifique.

### Liste de paramètres

`server_key`

  La clé d'identification du serveur de stockage ou de récupération. Au lieu de hacher avec la clé courante pour l'élément, nous hachons avec la clé serveur lorsqu'il est décidé avec quel serveur memcache il convient de dialoguer. Ceci permet le regroupement des éléments correspondants sur un seul serveur permettant de meilleures performances lors d'opérations multiples.

`key`

  La clé de l'élément à préfixer.

`value`

  La chaîne à préfixer.

### Valeurs de retour

Cette fonction retourne `true` en cas de succès ou `false` si une erreur survient. Retourne `null` si la compression est activée.

### Erreurs / Exceptions

Retourne `null` et lève un `E_WARNING` si la compression est activée.

### Voir aussi

- Memcached::prepend() - Préfixe des données à un élément existant
- Memcached::append() - Ajoute des données à un élément